Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.binding.https
Class HttpsBindingInfo

    java.lang.Object
      weblogic.webservice.binding.BindingInfo
          weblogic.webservice.binding.https.HttpsBindingInfo

Deprecated. please migrate to jws for webservices

public class HttpsBindingInfo
extends BindingInfo

HttpsBindingInfo for WLS Webservices support for SSL

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.webservice.binding.BindingInfo
`DEFAULT_TRANSPORT, SOAP11, SOAP12`

Constructor Summary
`HttpsBindingInfo()` Deprecated.

Method Summary
`void` | `closeSharedSocket()` Deprecated. Closes the shared socket.
`long` | `getSharedSocketTimeout()` Deprecated. Returns the value in seconds for the shared socket timeout.
`boolean` | `getSocketSharing()` Deprecated. Returns the state of socket sharing for this client
`SSLAdapter` | `getSSLAdapter()` Deprecated. Returns the SSLAdapter used for this client
`boolean` | `getSSLSocketPooling()` Deprecated.
`String` | `getTransport()` Deprecated. Returns the transport name
`void` | `setSharedSocketTimeout(long value)` Deprecated. Sets the timeout value for socket sharing associated with this client.
`void` | `setSocketSharing(boolean value)` Deprecated. Sets the the state for socket sharing associated with this client.
`void` | `setSSLAdapter(SSLAdapter sslAdapter)` Deprecated. Sets the SSLAdapter used for this client
`void` | `setSSLSocketPooling(boolean value)` Deprecated.

Methods inherited from class weblogic.webservice.binding.BindingInfo
`getAcceptCharset, getAddress, getCharset, getTimeout, isSoap12, isVerbose, setAcceptCharset, setAddress, setCharset, setTimeout, setVerbose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpsBindingInfo

    public HttpsBindingInfo()

  Deprecated.

Method Detail

### closeSharedSocket

    public void closeSharedSocket()

  Deprecated.
  Closes the shared socket.

  Returns:
    void

### getSharedSocketTimeout

    public long getSharedSocketTimeout()

  Deprecated.
  Returns the value in seconds for the shared socket timeout.

  Returns:
    long value in seconds

### getSocketSharing

    public boolean getSocketSharing()

  Deprecated.
  Returns the state of socket sharing for this client

  Returns:
    boolean

### getSSLAdapter

    public SSLAdapter getSSLAdapter()

  Deprecated.
  Returns the SSLAdapter used for this client

  Returns:
    SSLAdapter
  See Also:
    `for details.`

### getSSLSocketPooling

    public boolean getSSLSocketPooling()

  Deprecated.

### getTransport

    public String getTransport()

  Deprecated.
  Returns the transport name

  Overrides:
    `getTransport` in class `BindingInfo`
  Returns:
    "https"

### setSharedSocketTimeout

    public void setSharedSocketTimeout(long value)

  Deprecated.
  Sets the timeout value for socket sharing associated with this client. The default value is 15 seconds.

  This value can also be set using the system parameter `https.sharedsocket.timeout`

  Returns:
    void

### setSocketSharing

    public void setSocketSharing(boolean value)

  Deprecated.
  Sets the the state for socket sharing associated with this client. The default state is false, no socket sharing.

  The system property `https.sharedsocket` can also be used to set this value.

  Returns:
    void

### setSSLAdapter

    public void setSSLAdapter(SSLAdapter sslAdapter)

  Deprecated.
  Sets the SSLAdapter used for this client

  Returns:
    void
  See Also:
    `for details.`

### setSSLSocketPooling

    public void setSSLSocketPooling(boolean value)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD